"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toBuffer = toBuffer;
exports.isSerializedBuffer = isSerializedBuffer;
function toBuffer(serializedBuffer) {
    return Buffer.from(serializedBuffer.data);
}
function isObjectLiteral(item) {
    return typeof item === 'object' && item !== null && !Array.isArray(item);
}
function isSerializedBuffer(candidate) {
    return (isObjectLiteral(candidate) &&
        'type' in candidate &&
        'data' in candidate &&
        candidate.type === 'Buffer' &&
        Array.isArray(candidate.data));
}
//# sourceMappingURL=SerializedBuffer.js.map