import type { ErrorEvent, EventHint } from '@sentry/types';
import { type ReportingOptions } from 'n8n-workflow';
import type { InstanceType } from './InstanceSettings';
export declare class ErrorReporter {
    private seenErrors;
    private report;
    constructor();
    private defaultReport;
    shutdown(timeoutInMs?: number): Promise<void>;
    init(instanceType: InstanceType | 'task_runner', dsn: string): Promise<void>;
    beforeSend(event: ErrorEvent, { originalException }: EventHint): Promise<ErrorEvent | null>;
    error(e: unknown, options?: ReportingOptions): void;
    warn(warning: Error | string, options?: ReportingOptions): void;
    info(msg: string, options?: ReportingOptions): void;
    private wrap;
}
