import type { AINodeConnectionType, CloseFunction, ExecutionBaseError, IExecuteData, INode, INodeExecutionData, IRunExecutionData, ISupplyDataFunctions, ITaskDataConnections, ITaskMetadata, IWorkflowExecuteAdditionalData, NodeConnectionType, Workflow, WorkflowExecuteMode } from 'n8n-workflow';
import { BaseExecuteContext } from './base-execute-context';
export declare class SupplyDataContext extends BaseExecuteContext implements ISupplyDataFunctions {
    private readonly connectionType;
    private readonly closeFunctions;
    readonly helpers: ISupplyDataFunctions['helpers'];
    readonly getNodeParameter: ISupplyDataFunctions['getNodeParameter'];
    constructor(workflow: Workflow, node: INode, additionalData: IWorkflowExecuteAdditionalData, mode: WorkflowExecuteMode, runExecutionData: IRunExecutionData, runIndex: number, connectionInputData: INodeExecutionData[], inputData: ITaskDataConnections, connectionType: NodeConnectionType, executeData: IExecuteData, closeFunctions: CloseFunction[], abortSignal?: AbortSignal);
    getInputConnectionData(connectionType: AINodeConnectionType, itemIndex: number): Promise<unknown>;
    getInputData(inputIndex?: number, connectionType?: NodeConnectionType): INodeExecutionData[];
    addInputData(connectionType: AINodeConnectionType, data: INodeExecutionData[][]): {
        index: number;
    };
    addOutputData(connectionType: AINodeConnectionType, currentNodeRunIndex: number, data: INodeExecutionData[][] | ExecutionBaseError, metadata?: ITaskMetadata): void;
    addExecutionDataFunctions(type: 'input' | 'output', data: INodeExecutionData[][] | ExecutionBaseError, connectionType: AINodeConnectionType, sourceNodeName: string, currentNodeRunIndex: number, metadata?: ITaskMetadata): Promise<void>;
}
